*{
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

.parent{
    border: 2px black dotted;
    display: inline-block;
}

.box{
    display: inline-block;
    background-color: darkmagenta;
    width: 100px;
    height: 100px;
}

#two{
    background-color: mediumpurple;
    /*position: static; /*Valor por dado por defecto, conserva el espacio y posicion donde se colocaron. NO se puede utilizar top, bottom, left, right*/

    /*position: absolute; /*Permanece en la posicion colocada pero pierde su espacio fisico (sobreponen elementos), toma de referencia el contenedor mas cercano con posicion relativa*/
    position: relative; /*Conserva posicion y espacio fisico aun poniendo las propiedades top, bottom, right, left*/
    /*position: fixed; /*Pierden su espacio fisico y permanecen de forma fja (siguen el scroll, se colocan al lado izquierdo del viewport)*/
    /*position: sticky; /*Conserva su espacio fisico pero cuando el scroll los alcanza, lo siguen sin perder su espacio fisico, usado para navbar*/

    /*bottom: 15px;
    /*top: 15px;*/
    /*left: 15px;*/
    /*right: 15px;*/
}